<component name="ProjectCodeStyleConfiguration">
  <code_scheme name="Project" version="173">
    <HTMLCodeStyleSettings>
      <option name="HTML_SPACE_INSIDE_EMPTY_TAG" value="true" />
      <option name="HTML_ENFORCE_QUOTES" value="true" />
    </HTMLCodeStyleSettings>
    <JSCodeStyleSettings version="0">
      <option name="FORCE_SEMICOLON_STYLE" value="true" />
      <option name="SPACE_BEFORE_FUNCTION_LEFT_PARENTH" value="false" />
      <option name="FORCE_QUOTE_STYlE" value="true" />
      <option name="ENFORCE_TRAILING_COMMA" value="Remove" />
      <option name="SPACES_WITHIN_OBJECT_LITERAL_BRACES" value="true" />
      <option name="SPACES_WITHIN_IMPORTS" value="true" />
    </JSCodeStyleSettings>
    <PHPCodeStyleSettings>
      <option name="BLANK_LINES_BETWEEN_IMPORTS" value="1" />
      <option name="LOWER_CASE_BOOLEAN_CONST" value="true" />
      <option name="LOWER_CASE_NULL_CONST" value="true" />
      <option name="ELSE_IF_STYLE" value="COMBINE" />
      <option name="KEEP_RPAREN_AND_LBRACE_ON_ONE_LINE" value="true" />
      <option name="BLANK_LINES_AFTER_OPENING_TAG" value="1" />
      <option name="KEEP_BLANK_LINES_AFTER_LBRACE" value="0" />
      <option name="NEW_LINE_AFTER_PHP_OPENING_TAG" value="true" />
    </PHPCodeStyleSettings>
    <PostgresCodeStyleSettings version="6">
      <option name="USE_GENERAL_STYLE" value="false" />
      <option name="QUERY_ALIGN_ELEMENTS" value="false" />
      <option name="QUERY_ALIGN_LINE_COMMENTS" value="false" />
      <option name="INSERT_CONTENT" value="2" />
      <option name="SET_ALIGN_EQUAL_SIGN" value="false" />
      <option name="SELECT_ALIGN_AS" value="false" />
      <option name="FROM_INDENT_JOIN" value="false" />
      <option name="TABLE_OPENING" value="1" />
      <option name="TABLE_CONTENT" value="2" />
      <option name="TABLE_CLOSING" value="6" />
      <option name="TABLE_TYPES_ALIGN" value="false" />
      <option name="TABLE_DEFAULTS_ALIGN" value="false" />
      <option name="TABLE_NULLABILITIES_ALIGN" value="false" />
      <option name="TABLE_ALTER_INSTRUCTION_ALIGN" value="false" />
      <option name="POST_OPT_WRAP_2" value="false" />
      <option name="POST_OPT_INDENT" value="false" />
      <option name="POST_OPT_ALIGN" value="false" />
    </PostgresCodeStyleSettings>
    <TypeScriptCodeStyleSettings version="0">
      <option name="FORCE_SEMICOLON_STYLE" value="true" />
      <option name="SPACE_BEFORE_FUNCTION_LEFT_PARENTH" value="false" />
      <option name="FORCE_QUOTE_STYlE" value="true" />
      <option name="ENFORCE_TRAILING_COMMA" value="Remove" />
      <option name="SPACES_WITHIN_OBJECT_LITERAL_BRACES" value="true" />
      <option name="SPACES_WITHIN_IMPORTS" value="true" />
    </TypeScriptCodeStyleSettings>
    <VueCodeStyleSettings>
      <option name="INTERPOLATION_NEW_LINE_AFTER_START_DELIMITER" value="false" />
      <option name="INTERPOLATION_NEW_LINE_BEFORE_END_DELIMITER" value="false" />
    </VueCodeStyleSettings>
    <codeStyleSettings language="HTML">
      <option name="SOFT_MARGINS" value="80" />
      <indentOptions>
        <option name="INDENT_SIZE" value="2" />
        <option name="CONTINUATION_INDENT_SIZE" value="2" />
        <option name="TAB_SIZE" value="2" />
      </indentOptions>
    </codeStyleSettings>
    <codeStyleSettings language="JavaScript">
      <option name="SOFT_MARGINS" value="80" />
      <indentOptions>
        <option name="INDENT_SIZE" value="2" />
        <option name="CONTINUATION_INDENT_SIZE" value="2" />
        <option name="TAB_SIZE" value="2" />
      </indentOptions>
    </codeStyleSettings>
    <codeStyleSettings language="PHP">
      <option name="KEEP_BLANK_LINES_BEFORE_RBRACE" value="0" />
      <option name="BLANK_LINES_AFTER_PACKAGE" value="1" />
      <option name="ALIGN_MULTILINE_PARAMETERS" value="false" />
      <option name="ALIGN_MULTILINE_EXTENDS_LIST" value="true" />
      <option name="CALL_PARAMETERS_WRAP" value="5" />
      <option name="CALL_PARAMETERS_LPAREN_ON_NEXT_LINE" value="true" />
      <option name="CALL_PARAMETERS_RPAREN_ON_NEXT_LINE" value="true" />
      <option name="METHOD_PARAMETERS_WRAP" value="5" />
      <option name="METHOD_PARAMETERS_LPAREN_ON_NEXT_LINE" value="true" />
      <option name="METHOD_PARAMETERS_RPAREN_ON_NEXT_LINE" value="true" />
      <option name="EXTENDS_LIST_WRAP" value="5" />
      <option name="FOR_STATEMENT_LPAREN_ON_NEXT_LINE" value="true" />
      <option name="FOR_STATEMENT_RPAREN_ON_NEXT_LINE" value="true" />
      <option name="ARRAY_INITIALIZER_WRAP" value="5" />
      <option name="ARRAY_INITIALIZER_LBRACE_ON_NEXT_LINE" value="true" />
      <option name="ARRAY_INITIALIZER_RBRACE_ON_NEXT_LINE" value="true" />
      <option name="IF_BRACE_FORCE" value="3" />
      <option name="DOWHILE_BRACE_FORCE" value="3" />
      <option name="WHILE_BRACE_FORCE" value="3" />
      <option name="FOR_BRACE_FORCE" value="3" />
    </codeStyleSettings>
    <codeStyleSettings language="TypeScript">
      <option name="SOFT_MARGINS" value="80" />
      <indentOptions>
        <option name="INDENT_SIZE" value="2" />
        <option name="CONTINUATION_INDENT_SIZE" value="2" />
        <option name="TAB_SIZE" value="2" />
      </indentOptions>
    </codeStyleSettings>
    <codeStyleSettings language="Vue">
      <option name="SOFT_MARGINS" value="80" />
      <indentOptions>
        <option name="CONTINUATION_INDENT_SIZE" value="2" />
      </indentOptions>
    </codeStyleSettings>
  </code_scheme>
</component>